Create Onramp Auth Token
curl --request POST \
--url https://api.coinvoyage.io/v3/onramp/auth/token \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"auth_intent_id": "lai_test_123"
}
'import requests
url = "https://api.coinvoyage.io/v3/onramp/auth/token"
payload = { "auth_intent_id": "lai_test_123" }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({auth_intent_id: 'lai_test_123'})
};
fetch('https://api.coinvoyage.io/v3/onramp/auth/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"expires_in": 5400,
"link_auth_token_client_secret": "latcs_test_123"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}onramp
Create Onramp Auth Token
Create a short-lived Stripe Link auth token client secret for React Native seamless sign-in. The server uses the previously stored Link OAuth token for the provided auth intent.
POST
/
onramp
/
auth
/
token
Create Onramp Auth Token
Authorizations
Headers
API key for authentication
Body
application/json
Example:
"lai_test_123"
Was this page helpful?
⌘I